import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JLabel;

/*
 * Created on 2008/04/21
 * PD摜LbVON/OFF 
 * @@boolean isFlashImageCash 
 * QDI[v̉摜LbVt@C쐬 ON/OFF
 *     boolean autoMakeCashFile 
 * RD摜LbVvZXN@{^
 *     KickCashFileProcess.java
 */

public class DialogSettingCash extends JDialog {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final int ON=0;
	public static final int OFF=1;

	private JComboBox cbFlashImg;
	private JComboBox cbAutoMake;

	private int selectedF = ON;
	private int selectedA = OFF;
	
	private boolean ok_flg = false;
	private boolean isFlashImageCash=true;
	private boolean autoMakeCashFile=false;
	
	/**
	 * 
	 * @return trueȂOK{^Afalse ȂLZ{^
	 */
	public boolean getOkFlg(){
		return ok_flg;
	}
	public boolean getIsFlashImageCash(){
		return isFlashImageCash;
	}
	public void setIsFlashImageCash(boolean p_sel){
		if(p_sel){
			selectedF=ON;
		}else{
			selectedF=OFF;
		}
		cbFlashImg.setSelectedIndex(selectedF);
	}
	public boolean getAutoMakeCashFile(){
		return autoMakeCashFile;
	}
	public void setAutoMakeCashFile(boolean p_sel){
		if(p_sel){
			selectedA=ON;
		}else{
			selectedA=OFF;
		}
		cbAutoMake.setSelectedIndex(selectedA);
	}
	
	DialogSettingCash(Frame owner, String title, boolean modal){
		super(owner, title, modal);
		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout());
		
		JLabel lb = new JLabel("摜LbV̏o");
		JLabel lb2 = new JLabel("I[vɉ摜LbVt@C쐬");

		JButton okButton;
		JButton cancelButton;

		okButton = new JButton("OK");
		cancelButton = new JButton("Cancel");
		
		cbFlashImg = new JComboBox();
		cbFlashImg.addItem("L");
		cbFlashImg.addItem("");

		cbAutoMake = new JComboBox();
		cbAutoMake.addItem("L");
		cbAutoMake.addItem("");

		okButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				ok_flg = true;
				dispose();
			}
		});
		cancelButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				ok_flg = false;
				dispose();
			}
		});
		cbFlashImg.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				selectedF = cbFlashImg.getSelectedIndex();
				if(selectedF == ON){
					isFlashImageCash=true;
				}else{
					isFlashImageCash=false;
				}
			}
		});
		cbAutoMake.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				selectedA = cbAutoMake.getSelectedIndex();
				if(selectedA == ON){
					autoMakeCashFile=true;
				}else{
					autoMakeCashFile=false;
				}
			}
		});
		
		// xƃR{{bNX 1
		Container up = new Container();
		up.setLayout(new FlowLayout());
		up.add(lb);
		up.add(cbFlashImg);

		// xƃR{{bNX 2
		Container up2 = new Container();
		up2.setLayout(new FlowLayout());
		up2.add(lb2);
		up2.add(cbAutoMake);

		// OK,LZ{^
		Container dw = new Container();
		dw.setLayout(new FlowLayout());
		dw.add(okButton);
		dw.add(cancelButton);
		
		contentPane.setLayout(new GridLayout(3, 1)); // P@3s
		contentPane.add(up ); // xAR{{bNX
		contentPane.add(up2 ); // xAR{{bNX
		contentPane.add(dw ); // cancel,ok{^
		
		int w,h;
		h = 50;
		w = 100;
		h += contentPane.getPreferredSize().height;
		w += contentPane.getPreferredSize().width;
		setSize(w, h);
	}


}